Bug 213858 - Race condition concerning VLAPIC interrupts
Race condition concerning VLAPIC interrupts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-03 09:37 EST by Bhavna Sarathy
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 15:43:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch fixes a race condition concerning virutalized interrupts (VLAPIC interrupts can be lost). (1.72 KB, patch)
2006-11-03 09:37 EST, Bhavna Sarathy
no flags Details | Diff

  None (edit)
Description Bhavna Sarathy 2006-11-03 09:37:11 EST
Description of problem:
A race condition concerning virutalized interrupts (VLAPIC interrupts can be
lost) has been fixed.

Version-Release number of selected component (if applicable):
2.6.18-1.2739.el5xen

How reproducible:
AMD has a virtual iron test that shows a dhrystone test problem 
without the patch - and works with the patch.  Fails eveytime
without the patch.

Patch has been pushed to xen unstable.
Comment 1 Bhavna Sarathy 2006-11-03 09:37:13 EST
Created attachment 140246 [details]
The patch fixes a race condition concerning virutalized interrupts (VLAPIC interrupts can be lost).
Comment 2 Rik van Riel 2006-11-03 09:43:48 EST
Looks good to me.  Time to get it through the management procedures; once the
idea has been approved we can push the patch to rhkernel-list to get it applied
to the hypervisor.
Comment 3 RHEL Product and Program Management 2006-11-03 09:47:31 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 4 Jay Turner 2006-11-20 14:56:33 EST
QE ack for RHEL5.
Comment 5 Bhavna Sarathy 2006-12-04 08:39:03 EST
I've posted the patch to rhkernek-list and virtual-list and has received 3 ACKs.
Comment 6 Bhavna Sarathy 2007-01-02 11:48:14 EST
During our testing we found that this important patch was not included in the
kernel tree.    Please include it so that the RC testing can be done without
having to pull in missing patches.

Markus is building a tree with the VLAPIC patch.  Just wanted to mention it so
there is no duplication of effort.

http://brewweb.devel.redhat.com/brew/taskinfo?taskID=490612
Comment 7 Don Zickus 2007-01-03 18:29:20 EST
in 2.6.18-1.2961.el5
Comment 8 Jay Turner 2007-01-26 15:43:00 EST
2.6.18-7.el5 included in 20070125.0.

Note You need to log in before you can comment on or make changes to this bug.